import { select, range } from "d3"
import { fruitBowl } from './fruitBowl'
const svg = select('svg');

const title = 'World Population'
const makeFruit = type => ({ type,
                           id: Math.random()});

const render = () => {
  fruitBowl(svg, {
    fruits,
  	height: +svg.attr("height")
  })
}

let fruits = range(5)
	.map(() => makeFruit('apple'));

render()

setTimeout(() => {
  fruits.pop();
	render()
}, 1000)

setTimeout(() => {
  fruits[2].type = 'lemon'
	render()
}, 2000)


setTimeout(() => {
  fruits = fruits.filter((d, i) => i != 1);
	render()
}, 3000)


setTimeout(() => {
  fruits.push(makeFruit('lemon'));
	render()
}, 4000)
